#https://bitbucket.org/AnkitBhansali/itentialmodule/src/master/library/iap_token.py
#https://bitbucket.org/AnkitBhansali/itentialmodule/src/master/library/iap_start_workflow.py
#ansible-playbook -vvvv create-iap-job-web-server.yaml --extra-vars="management_ip=10.0.0.0"
---
- hosts: localhost
  connection: local
  gather_facts: True

  tasks:
    - name: Get Token
      iap_token:
        https: true
        iap_fqdn: "{{ iap_fqdn | default('se-demo-0.itential.io') }}"
        iap_port: "{{ iap_port | default('443') }}"
        username: tower
        password: Tower!1
        # username: "{{ lookup('env','IAP_USERNAME') }}"
        # password: "{{ lookup('env','IAP_PASSWORD') }}"
      register: token_result
    - name: Print token_key
      debug: var=token_result.token
    - set_stats:
        data:
          token_key: token_result.token
    - name: Start an Itential Job
      iap_start_workflow:
        https: true
        iap_fqdn: "{{ iap_fqdn | default('se-demo-0.itential.io') }}"
        iap_port: "{{ iap_port | default('443') }}"
        token_key: "{{ token_result.token }}"
        workflow_name: Onboard Web Server
        # workflow_name: "{{ workflow_name }}"
        description: "WF from Tower - {{ management_ip }}"
        variables: {"instance_data":{"pool_name": "web_server_pool","load_balancer": "LB-0","management_ip": "{{ management_ip }}","monitor_port": "http","bypass_verification": "{{ bypass_verification | default('false')}}","bypass_cr_approval": "{{ bypass_cr_approval | default('true')}}"}}
        # description: " {{ description }}"
      register: job_result
    - name: Print job_result
      debug: var=job_result
    - set_stats:
        data:
          job_id: "{{ job_result.response._id }}"
    - name: Print job_id
      debug: var=job_result.response._id

